Data Updater
Update your data to current information, and smoothly add monitoring to keep up-to-date.
Data Updater
[global]Requires addon
Endpoints
List available services
get
https://api.roaring.io/se/company/current-information/1.0/servicesResponse schema: application/json
List current information tasks performed by user
get
https://api.roaring.io/se/company/current-information/1.0/tasksStart current information task with file
put
https://api.roaring.io/se/company/current-information/1.0/startWithFile/{webhookId}Parameters path
webhookIdrequired | stringId of webhook to which to send current information events |
Request body schemamultipart/form-dataRequired
companyIds | stringtext file with company id-s each in a new line |
services | arraylist of service names |
Validate company ids file
put
https://api.roaring.io/se/company/current-information/1.0/validateRequest body schemamultipart/form-dataRequired
file | stringtext file with company id-s each in a new line |
Start current information task
put
https://api.roaring.io/se/company/current-information/1.0/start/{webhookId}Parameters path
webhookIdrequired | stringId of webhook to which to send current information events |
Request body schemaapplication/jsonRequired
Required fields: rec: companyIds, services
companyIds | arrayArray of company identifiers for which to fetch current information data |
services | arrayArray of service names from which fetch current information data |
Get status of current information task
get
https://api.roaring.io/se/company/current-information/1.0/status/{currentInformationId}Parameters path
currentInformationIdrequired | stringId of current information task |
Parameters query
withProtocol | booleanWhether to include current information task execution protocol, default false |
List available webhooks
get
https://api.roaring.io/se/company/current-information/1.0/webhooks